@import 'layout';
@import 'variables';

.eventOccurrenceForm {
  --color-title: var(--color-black-90);

  --fontsize-title: var(--fontsize-heading-s);

  --margin-bottom-action-buttons: var(--spacing-2-xl);
  --margin-bottom-title: var(--spacing-s);

  --spacing-divider: var(--spacing-m);
}

.eventOccurrenceForm {
  .title {
    font-size: var(--fontsize-title);
    color: var(--color-title);
    font-weight: bold;
    margin-bottom: var(--margin-bottom-title);
  }

  .divider {
    margin: var(--spacing-divider) 0;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  }

  .count {
    font-weight: normal;
    margin-left: 0.5rem;
  }

  .occurrenceFormRow {
    display: grid;

    @include respond_above(md) {
      grid-template-columns: 1.5fr 1fr 1fr 1fr 2fr 0.5fr;
      grid-gap: $baseMargin;
    }
  }

  .fullRow {
    grid-column: 1 / 5;
  }

  .locationRow {
    grid-column: 1 / 5;
  }

  .formActions {
    display: flex;
    margin-top: $largeMargin;
    margin-bottom: var(--margin-bottom-action-buttons);

    & > :not(:last-child) {
      margin-right: $baseMargin;
    }
  }
}
